# replicator-test.py -- Test script for the replicator.
# Gareth Rees, Ravenbrook Limited, 2000-09-07.
# $Id: //info.ravenbrook.com/project/p4dti/version/0.3/code/replicator/replicator_test.py#1 $

import dt_teamtrack
import logger
import replicator
import socket

log_file = open("p4dti.log", "a")
logger = logger.multi_logger([logger.file_logger(log_file),logger.file_logger()])
rid = 'case'
sid = 'p4_' + socket.gethostname()
dt = dt_teamtrack.dt_teamtrack(rid, sid, { 'logger': logger })
r = replicator.replicator(rid, dt,
                          { 'logger': logger,
                            'administrator-address': 'gdr@ravenbrook.com',
                            'smtp-server': 'martin.ravenbrook.com',
                            })
r.init()
