# config_teamtrack.py -- P4DTI configuration for replication to TeamTrack.
# Gareth Rees, Ravenbrook Limited, 2000-10-16.
# $Id$

import dt_teamtrack
import logger
import replicator
import socket

rid = 'case'
sid = 'p4_' + socket.gethostname()
log_file = open("p4dti.log", "a")
logger = logger.multi_logger([logger.file_logger(log_file),
                              logger.file_logger()])
teamtrack_config = { 'logger': logger }
replicator_config = { 'logger': logger,
                      'administrator-address': 'root',
                      'smtp-server': 'smtp',
                      }

dt = dt_teamtrack.dt_teamtrack(rid, sid, teamtrack_config)
r = replicator.replicator(rid, dt, replicator_config)
